DBP -- Debian Best Practices
============================

This module configures a Debian system according to David Schmitt's Best
Practises. This includes adding and removing packages and basic configuration of
the environment.

TODO: describe actual functional properties

Module Dependencies
===================

Mandatory:

* ssh module for key distribution

Optional:

* The "virtual" module to enable special handling of virtual guests.




Configuration
=============

Debian Release: Usually the Debian Release is detected via facter. To override
this - e.g. for system upgrades - set $dv_override on an enclosing scope to the
desired release code name.

24 July 2010
============

Updates by James Richardson.
Bunch of changes to fit *MY* environemnt.
